<template>
  <v-app>
    <AppBar />
    <v-main>
      <router-view />
    </v-main>
  </v-app>
</template>

<script>
import AppBar from "@/components/AppBar/index.vue";
export default {
  name: "App",
  components: {
    AppBar,
  },
  data: () => ({
    //
  }),
};
</script>
<style>
/* don't use scoped css */
/* 
.theme--light.v-text-field > .v-input__control > .v-input__slot:before {
  border-color: #90c143;
}

.theme--light.v-label {
  color: #90c143;
}

.theme--light.v-input:not(.v-input--is-disabled) input,
.theme--light.v-input:not(.v-input--is-disabled) textarea {
  color: #90c143;
} */
.v-application--is-ltr .v-text-field .v-label {
  color: #ffffff;
}
.theme--light.v-input input,
.theme--light.v-input textarea {
  color: rgb(255 255 255 / 87%) !important;
}
.theme--light.v-text-field > .v-input__control > .v-input__slot:before {
  border-color: rgb(255 255 255 / 42%) !important;
}
.v-application .accent--text {
  color: #d9ef0c !important;
  caret-color: #d9ef0c !important;
}
.v-date-picker-table .v-btn.v-btn--active {
  color: #231f20 !important;
}
.v-date-picker-header {
  padding: 18.5px 16px !important;
  align-items: flex-start !important;
  display: flex;
  justify-content: space-between;
  position: relative;
  border-bottom: 1px solid #dbdade;

  font-family: "Public Sans";
  font-style: normal;
  font-weight: 600;
  font-size: 15px;
  line-height: 21px;
}
.v-date-picker-table {
  font-family: "Public Sans";
  font-style: normal;
  font-weight: 600;
  font-size: 13px;
  line-height: 14px;
  margin-top: 20px;
  height: 254px !important;
}
.v-date-picker-table--date .v-btn {
  height: 34px !important;
  width: 34px !important;
}
.v-date-picker-header__value button {
  font-family: "Public Sans";
  font-style: normal;
  font-weight: 600 !important;
  font-size: 15px;
  line-height: 21px;
  order: 1;
}

.theme--light.v-btn.v-btn--icon {
  color: rgb(75, 70, 92, 0.54) !important;
  order: 2;
  background: rgba(75, 70, 92, 0.08);
  margin: 0 8px;
}

.v-date-picker-header__value {
  text-align: start !important;
}
.v-btn--icon.v-size--default .v-icon,
.v-btn--fab.v-size--default .v-icon {
  font-size: 16px !important;
}
.theme--light.v-btn:focus::before {
  opacity: 1 !important;
  color: #28c76f !important;
  background: rgba(40, 199, 111, 0.16);
}
.theme--light.v-icon {
  color: rgb(255 255 255 / 54%) !important;
}
.v-text-field .v-input__prepend-inner,
.v-text-field .v-input__append-inner {
  margin-top: 0 !important;
}
.fa-chevron-left::before {
  content: "\f053";
  color: #4b465c !important;
}
.fa-chevron-right::before {
  content: "\f054";
  color: #4b465c !important;
}
</style>
